<template>
  <div id="app">
    <ChooseButtonComponent
      :name="'Choose button'"
      :iconSrc="require('./assets/gamepad.svg')"
      :loading="loading"
      :loadingSpinnerSrc="require('./assets/circles-spinner.svg')"
      @toggleLoading="toggleLoading"
    />
  </div>
</template>

<script>
import ChooseButtonComponent from "./components/ChooseButtonComponent.vue";

export default {
  name: "app",
  components: {
    ChooseButtonComponent
  },
  data() {
    return {
      loading: true
    };
  },
  mounted() {
    setTimeout(() => {
      this.loading = false;
    }, 1000);
  },
  methods: {
    toggleLoading() {
      this.loading = !this.loading;
    }
  }
};
</script>

<style>
#app {
  padding-top: 150px;
  font-family: "Avenir", Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}
</style>
